%define	upstream_name	 MIME-Types
%define upstream_version 2.18
%global __requires_exclude perl\\(Mojo[^)]+\\)

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    MIME::Types module for Perl
License:    GPL
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/MIME/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Spec)
BuildRequires: perl(List::Util)
BuildRequires: perl(Test::More) >= 0.470.0
BuildArch:  noarch

%description
This Perl module maintains a set of MIME::Type objects, which each describe one
known mime type.  There are many types defined by RFCs and vendors, so the list
is long but not complete.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc ChangeLog META.json META.yml MYMETA.yml README
%{perl_vendorlib}/*
%{_mandir}/*/*

%changelog
* Thu Dec 10 2020 tv <tv> 2.180.0-1.mga8
+ Revision: 1655092
- update to 2.18

* Wed Feb 12 2020 umeabot <umeabot> 2.170.0-3.mga8
+ Revision: 1505034
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 2.170.0-2.mga7
+ Revision: 1284577
- Mageia 7 Mass Rebuild

* Sun Jan 28 2018 shlomif <shlomif> 2.170.0-1.mga7
+ Revision: 1197641
- update to 2.17

* Wed Jan 24 2018 tv <tv> 2.160.0-1.mga7
+ Revision: 1196777
- update to 2.16

* Sat Nov 11 2017 tv <tv> 2.140.0-1.mga7
+ Revision: 1176891
- update to 2.14

* Sun Jun 19 2016 pterjan <pterjan> 2.130.0-2.mga6
+ Revision: 1029895
- Rebuild for perl 5.22.2

* Sun Mar 13 2016 shlomif <shlomif> 2.130.0-1.mga6
+ Revision: 989824
- update to 2.13

* Sat Jan 16 2016 shlomif <shlomif> 2.120.0-1.mga6
+ Revision: 923816
- update to 2.12

* Sun Jul 05 2015 sander85 <sander85> 2.110.0-1.mga6
+ Revision: 851386
- update to 2.11

* Wed Jan 07 2015 shlomif <shlomif> 2.80.0-4.mga5
+ Revision: 809172
- Add exclude on Mojolicious

* Wed Oct 15 2014 umeabot <umeabot> 2.80.0-3.mga5
+ Revision: 739323
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.80.0-2.mga5
+ Revision: 685297
- Mageia 5 Mass Rebuild

* Sat Sep 06 2014 sander85 <sander85> 2.80.0-1.mga5
+ Revision: 672846
- update to 2.08

* Sun Aug 31 2014 sander85 <sander85> 2.60.0-1.mga5
+ Revision: 669851
- update to 2.06

* Wed Aug 27 2014 sander85 <sander85> 2.50.0-1.mga5
+ Revision: 668792
- update to 2.05

* Sat Oct 19 2013 umeabot <umeabot> 2.40.0-2.mga4
+ Revision: 534507
- Mageia 4 Mass Rebuild

* Thu Sep 12 2013 sander85 <sander85> 2.40.0-1.mga4
+ Revision: 478163
- update to 2.04

* Sun Sep 08 2013 sander85 <sander85> 2.30.0-1.mga4
+ Revision: 476120
- update to 2.03

* Mon Aug 19 2013 sander85 <sander85> 2.20.0-1.mga4
+ Revision: 467804
- update to 2.02

* Sun Aug 04 2013 sander85 <sander85> 2.10.0-1.mga4
+ Revision: 463404
- update to 2.01

* Fri Jun 07 2013 jquelin <jquelin> 1.380.0-1.mga4
+ Revision: 439508
- update to 1.38

* Sun Jan 13 2013 umeabot <umeabot> 1.370.0-2.mga3
+ Revision: 369329
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 1.370.0-1.mga3
+ Revision: 342364
- update to 1.37

* Tue Nov 06 2012 jquelin <jquelin> 1.360.0-1.mga3
+ Revision: 315122
- update to 1.36

* Wed Jul 04 2012 jquelin <jquelin> 1.350.0-1.mga3
+ Revision: 267387
- update to 1.35

* Wed Jan 25 2012 jquelin <jquelin> 1.340.0-1.mga2
+ Revision: 200905
- update to 1.34
- update to 1.32

* Sat Jan 22 2011 jquelin <jquelin> 1.310.0-1.mga1
+ Revision: 30764
- mageia rebuild
- imported package perl-MIME-Types

